Bug 145316 - s-c-d ignores system keyboard language setting
s-c-d ignores system keyboard language setting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
: 201679 227410 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 07:59 EST by Michael Young
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 13:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for reading keyboard & mouse settings for new config (617 bytes, patch)
2005-04-07 17:34 EDT, Maxim Dziumanenko
no flags Details | Diff

  None (edit)
Description Michael Young 2005-01-17 07:59:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.7.5)
Gecko/20041109 Firefox/0.10.1

Description of problem:
When creating an xorg.conf file from scratch, system-config-display
always sets the "XkbLayout" value to "us" regardless of the default
settings (in /etc/sysconfig/keyboard).
The bug appears to be in the /usr/share/system-config-display/xconf.py
file. After the line
keyboard = rhpl.keyboard.Keyboard()
you need to add
keyboard.read()
to read the setting from /etc/sysconfig/keyboard .
Comment 1 Maxim Dziumanenko 2005-04-07 17:34:04 EDT
Created attachment 112836 [details]
Patch for reading keyboard & mouse settings for new config
Comment 2 Matthew Miller 2006-07-10 17:35:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Michael Young 2006-09-13 09:18:25 EDT
Verified that this is still broken in FC5 (a quick inspection of the code
suggests it is broken in the FC6 betas also).
Comment 4 Adam Jackson 2007-04-09 18:23:33 EDT
*** Bug 201679 has been marked as a duplicate of this bug. ***
Comment 5 Michael Young 2007-04-11 11:46:39 EDT
Still broken in FC6
Comment 6 Adam Jackson 2007-04-11 13:22:55 EDT
Fixed in 1.0.51.
Comment 7 Adam Jackson 2007-05-11 16:55:21 EDT
*** Bug 227410 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.